True

TICK-001507 - ERRORE AZIONE MASSIVA CAMBIO DATE SU TASK Modifica Ticket

Assegnato a : SARA FARASO
Email : f.caldon@henoto.com
Team di assistenza : Assistenza Odoo II Livello
Data Creazione : 11/10/2022
Il ticket è Chiuso? : SI
Cliente : INTEREVENT SRL, FEDERICO CALDON
Telefono :
Data Chiusura : 13/10/2022
Categoria : Anomalia

La funzione di cambio massivo date sui task dà questo errore:

Errore:
Henoto Server Error

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 684, in dispatch
result = self._call_function(**self.params)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 360, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 348, in checked_call
result = self.endpoint(*a, **kw)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 913, in __call__
return self.method(*args, **kw)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 532, in response_wrap
response = f(*args, **kw)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/web/controllers/main.py", line 1400, in call_button
action = self._call_kw(model, method, args, kwargs)
File "/addons/base/gi_makigami/controllers/controllers.py", line 68, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/addons/base/gi_catalogue/controllers/main.py", line 31, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/web/controllers/main.py", line 1388, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 399, in call_kw
result = _call_kw_multi(method, model, args, kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 386, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "/addons/base/gi_gantt_tasks/wizards/wizard.py", line 41, in save_tasks_dates
task_ids.write(values)
File "/addons/base/gi_makigami/models/project.py", line 20, in write
ret = super(ProjectTask, self).write(vals)
File "/addons/base/gi_booking/models/project.py", line 208, in write
result = super(ProjTask, self).write(values)
File "/addons/base/ie_sketchup_info_aggiuntive/models/project_task.py", line 437, in write
ret = super(ProjectTask, self).write(vals)
File "/addons/base/ie_sketchup_info_aggiuntive/models/attribute.py", line 819, in write
ret = super(ProjectTask, self).write(vals)
File "/addons/base/gi_teams_management/models/project_task.py", line 260, in write
ret = super(ProjectTask, self).write(values)
File "/addons/base/gi_task/models/project_project.py", line 461, in write
res = super().write(vals)
File "/addons/base/gi_event_lifecycle/models/project_task.py", line 164, in write
res = super(ProjectTask, self).write(vals)
File "/addons/custom/gi_supplier_followers/models/project_task.py", line 76, in write
res = super(ProjectTask, self).write(values)
File "/addons/base/gi_gantt_tasks/models/project_task.py", line 104, in write
res = super(ProjectTask, self).write(values)
File "/addons/base/gi_supply/models/project.py", line 430, in write
ret = super(Task, self).write(values)
File "/addons/base/gi_company_propagation/models/project_task.py", line 20, in write
res = super(ProjectTask, self).write(values)
File "/addons/base/gi_catalogue/models/project.py", line 139, in write
res = super(ProjectTask, self).write(values)
File "/addons/base/gi_project/models/project_project.py", line 414, in write
res = super(ProjectTask, self).write(values)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/sale_timesheet/models/project.py", line 325, in write
res = super(ProjectTask, self).write(values)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/hr_timesheet/models/project.py", line 182, in write
res = super(Task, self).write(values)
File "/addons/contrib/bi_subtask/models/task.py", line 76, in write
return super(ProjectTask, self).write(vals)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/project/models/project.py", line 1139, in write
result = super(Task, tasks).write(vals)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/mail/models/mail_thread.py", line 322, in write
result = super(MailThread, self).write(values)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/mail/models/mail_activity.py", line 788, in write
return super(MailActivityMixin, self).write(vals)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/rating/models/rating_mixin.py", line 82, in write
result = super(RatingMixin, self).write(values)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 3672, in write
field.write(self, vals[fname])
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 930, in write
cache_value = self.convert_to_cache(value, records)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 1936, in convert_to_cache
return self.to_datetime(value)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 1911, in to_datetime
raise ValueError("Datetime field expects a naive datetime: %s" % value)
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 640, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 316, in _handle_exception
raise exception.with_traceback(None) from new_cause
ValueError: Datetime field expects a naive datetime: 2022-10-12 00:00:00+02:00

Storico messaggi e comunicazioni

To install this Web App in your iPhone/iPad press and then Add to Home Screen.